Bug 517287 - Alt-Tab does not work with right-alt
Summary: Alt-Tab does not work with right-alt
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 11:43 UTC by Dave Malcolm
Modified: 2018-04-11 07:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:07:06 UTC


Attachments (Terms of Use)
Output from "dmesg" (53.04 KB, text/plain)
2009-11-09 20:09 UTC, Dave Malcolm
no flags Details
/var/log/Xorg.0.log (81.30 KB, text/plain)
2009-11-09 20:10 UTC, Dave Malcolm
no flags Details

Description Dave Malcolm 2009-08-13 11:43:44 UTC
Description of problem:
Upon reinstalling this laptop with F11 (overwriting an F10 install), I've noticed that Alt-Tab (for 
switching between windows) only works with Left-Alt, not with Right-Alt.

Old behavior in F10 was that either Alt key was usable.

Not sure if metacity is the appropriate component.  Seems to also affect compiz, so it may be "something to do with X".

Please let me know what other debug information you need.

This is a major problem for me: The Tab key is on the left-hand-side of the keyboard, and so Left-Alt with Tab requires either chording with one hand (which is a serious problem for those of us trying to manage keyboard-induced Repetitive Strain Injury), or bringing the right hand over to operate the left-alt key with the right hand each time I need to change between windows.


Version-Release number of selected component (if applicable):
metacity-2.26.0-1.fc11.i586
compiz-0.7.8-19.fc11.i586
xorg-x11-drv-mga-1.4.10-1.fc11.i586
xorg-x11-drv-apm-1.2.1-2.fc11.i586
xorg-x11-xinit-1.0.9-9.fc11.i586
xorg-x11-drv-neomagic-1.2.2-2.fc11.i586
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-drv-mouse-1.4.0-2.fc11.i586
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-drv-sis-0.10.1-2.fc11.i586
xorg-x11-drv-tdfx-1.4.1-2.fc11.i586
xorg-x11-server-utils-7.4-7.fc11.i586
xorg-x11-drv-rendition-4.2.1-2.fc11.i586
xorg-x11-drv-evdev-2.2.1-3.fc11.i586
xorg-x11-drv-r128-6.8.0-3.fc11.i586
xorg-x11-drv-dummy-0.3.1-2.fc11.i586
xorg-x11-server-common-1.6.1.901-1.fc11.i586
xorg-x11-drv-cirrus-1.2.0-6.fc11.i586
xorg-x11-drv-fpit-1.3.0-2.fc11.i586
xorg-x11-drv-i128-1.3.0-2.fc11.i586
xorg-x11-drv-v4l-0.2.0-2.fc11.i586
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-xauth-1.0.2-6.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.i586
xorg-x11-drv-s3virge-1.10.2-2.fc11.i586
xorg-x11-drv-acecad-1.3.0-1.fc11.i586
xorg-x11-drv-fbdev-0.4.0-4.fc11.i586
xorg-x11-drv-openchrome-0.2.903-10.fc11.i586
xorg-x11-drv-savage-2.2.1-1.fc11.i586
xorg-x11-drv-mutouch-1.2.1-2.fc11.i586
xorg-x11-drv-vmware-10.16.0-3.fc11.i586
xorg-x11-drv-aiptek-1.2.0-1.fc11.i586
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-font-utils-7.2-7.fc11.i586
xorg-x11-drv-synaptics-1.1.2-1.fc11.i586
xorg-x11-drv-hyperpen-1.3.0-1.fc11.i586
xorg-x11-drv-ast-0.87.0-2.fc11.i586
xorg-x11-drv-trident-1.3.1-2.fc11.i586
xorg-x11-drv-elographics-1.2.3-2.fc11.i586
xorg-x11-drv-sisusb-0.9.1-2.fc11.i586
xorg-x11-drv-vesa-2.2.0-3.fc11.i586
xorg-x11-drv-vmmouse-12.6.4-1.fc11.i586
xorg-x11-drv-mach64-6.8.0-3.fc11.i586
xorg-x11-drivers-7.3-11.fc11.i586
xorg-x11-xtrans-devel-1.2.2-2.fc11.noarch
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-drv-penmount-1.4.0-2.fc11.i586
xorg-x11-drv-glint-1.2.2-2.fc11.i586
xorg-x11-xkb-utils-7.2-8.fc11.i586
xorg-x11-drv-voodoo-1.2.1-2.fc11.i586
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-drv-nv-2.1.13-1.fc11.i586
xorg-x11-drv-i740-1.2.0-3.fc11.i586
xorg-x11-utils-7.4-4.fc11.i586
xorg-x11-drv-void-1.2.0-1.fc11.i586
xorg-x11-drv-geode-2.11.2-1.fc11.i586
xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-proto-devel-7.4-15.fc11.noarch
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.i586

How reproducible:
100%

Comment 1 Dave Malcolm 2009-08-13 13:54:59 UTC
Appears to be more general: right-alt key not working at all; tried with both the builtin keyboard on this laptop and with a USB keyboard.

Any ideas/suggestions on the correct component for this, or how to debug further?  Thanks.

Comment 2 Dave Malcolm 2009-08-21 12:30:08 UTC
Reassigning to xkeyboard-config, based on 
https://fedoraproject.org/wiki/Xorg/Input_Triage_Algorithm

Please let me know what other information you need to help debug this.

xkeyboard-config-1.5-5.fc11.noarch

Comment 4 Matěj Cepl 2009-11-05 18:36:20 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Dave Malcolm 2009-11-05 20:02:11 UTC
I'm fully up-to-date on F11, and updates-testing isn't showing anything:
[root@brick ~]# yum upgrade --enablerepo='*-updates-testing'
Loaded plugins: refresh-packagekit
Setting up Upgrade Process
No Packages marked for Update

Right-alt still fails to work with metacity.

Can you suggest anything I can do to try to debug this/fix this?

Linux brick 2.6.30.9-90.fc11.i686.PAE #1 SMP Sat Oct 17 11:24:32 EDT 2009 i686 i686 i386 GNU/Linux

metacity-2.26.0-1.fc11.i586
xkeyboard-config-1.5-5.fc11.noarch
xorg-x11-apps-7.3-8.fc11.i586
xorg-x11-drivers-7.3-11.fc11.i586
xorg-x11-drv-acecad-1.3.0-1.fc11.i586
xorg-x11-drv-aiptek-1.2.0-1.fc11.i586
xorg-x11-drv-apm-1.2.1-2.fc11.i586
xorg-x11-drv-ast-0.87.0-2.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-drv-cirrus-1.2.0-6.fc11.i586
xorg-x11-drv-dummy-0.3.1-2.fc11.i586
xorg-x11-drv-elographics-1.2.3-2.fc11.i586
xorg-x11-drv-evdev-2.2.5-1.fc11.i586
xorg-x11-drv-fbdev-0.4.0-4.fc11.i586
xorg-x11-drv-fpit-1.3.0-3.fc11.i586
xorg-x11-drv-geode-2.11.2-1.fc11.i586
xorg-x11-drv-glint-1.2.2-2.fc11.i586
xorg-x11-drv-hyperpen-1.3.0-1.fc11.i586
xorg-x11-drv-i128-1.3.0-2.fc11.i586
xorg-x11-drv-i740-1.2.0-3.fc11.i586
xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586
xorg-x11-drv-mach64-6.8.0-3.fc11.i586
xorg-x11-drv-mga-1.4.10-1.fc11.i586
xorg-x11-drv-mouse-1.4.0-2.fc11.i586
xorg-x11-drv-mutouch-1.2.1-2.fc11.i586
xorg-x11-drv-neomagic-1.2.2-2.fc11.i586
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.i586
xorg-x11-drv-nv-2.1.13-1.fc11.i586
xorg-x11-drv-openchrome-0.2.903-12.fc11.i586
xorg-x11-drv-penmount-1.4.0-2.fc11.i586
xorg-x11-drv-r128-6.8.0-3.fc11.i586
xorg-x11-drv-rendition-4.2.1-2.fc11.i586
xorg-x11-drv-s3virge-1.10.2-2.fc11.i586
xorg-x11-drv-savage-2.2.1-1.fc11.i586
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.i586
xorg-x11-drv-sis-0.10.1-2.fc11.i586
xorg-x11-drv-sisusb-0.9.1-2.fc11.i586
xorg-x11-drv-synaptics-1.1.3-1.fc11.i586
xorg-x11-drv-tdfx-1.4.1-2.fc11.i586
xorg-x11-drv-trident-1.3.1-2.fc11.i586
xorg-x11-drv-v4l-0.2.0-2.fc11.i586
xorg-x11-drv-vesa-2.2.0-3.fc11.i586
xorg-x11-drv-vmmouse-12.6.4-1.fc11.i586
xorg-x11-drv-vmware-10.16.0-3.fc11.i586
xorg-x11-drv-void-1.2.0-1.fc11.i586
xorg-x11-drv-voodoo-1.2.1-2.fc11.i586
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-font-utils-7.2-7.fc11.i586
xorg-x11-proto-devel-7.4-15.fc11.noarch
xorg-x11-server-common-1.6.4-0.1.fc11.i586
xorg-x11-server-utils-7.4-7.1.fc11.i586
xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-utils-7.4-4.fc11.i586
xorg-x11-xauth-1.0.2-6.fc11.i586
xorg-x11-xinit-1.0.9-9.fc11.i586
xorg-x11-xkb-utils-7.2-8.fc11.i586
xorg-x11-xtrans-devel-1.2.2-2.fc11.noarch

Comment 6 Matěj Cepl 2009-11-08 21:15:54 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 7 Dave Malcolm 2009-11-09 20:09:29 UTC
Created attachment 368282 [details]
Output from "dmesg"

Comment 8 Dave Malcolm 2009-11-09 20:10:28 UTC
Created attachment 368283 [details]
/var/log/Xorg.0.log

Comment 9 Dave Malcolm 2009-11-09 20:13:06 UTC
/etc/X11/xorg.conf does not exist; I've attached the other requested files.  Let me know if there's any other information you need.

Comment 10 Peter Hutterer 2009-12-18 07:16:37 UTC
you haven't by any chance been able to try F12, have you?

Comment 11 Dave Malcolm 2009-12-18 14:14:43 UTC
I've been running F12 for some weeks now.  

Right-alt seemed to be failing to do anything.  This was with both the built-in keyboard of this laptop, and with a USB keyboard.

Revisiting this bug, I just tried: System > Preferences > Keyboards
then the "Layout" tab within that dialog.

The "Keyboard model" dropdown was set to "generic US 105 key" (or somesuch; can't find that setting again).
IIRC, I clicked "reset to defaults" which changed it to "Evdev-managed keyboard".

Right-alt is working well; I can use both alt keys with tab.

I had manually upgraded the machine using "yum", rather than a reinstall, so perhaps my attempt to be an expert backfired on me here.

Comment 12 Peter Hutterer 2009-12-20 23:07:08 UTC
the keyboard model is in the "Generic" section, still the 105 keyboard model. though in theory that shouldn't make any difference, it's mapped to evdev like most others.

please try switching to that model again and see if the error occurs again. If not, I'll just put it down to random weirdness.

Comment 13 Bug Zapper 2010-04-28 09:44:45 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2010-06-28 14:07:06 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.